import { FSXARemoteApi } from './../modules';
import { QueryBuilderQuery } from '../types';
export interface GetExpressRouterContext {
    api: FSXARemoteApi;
}
export declare enum ExpressRouterIntegrationErrors {
    MISSING_LOCALE = "Please specify a locale in the body through: e.g. \"locale\": \"de_DE\" ",
    UNKNOWN_ROUTE = "Could not map given route and method."
}
declare function getExpressRouter({ api }: GetExpressRouterContext): import("express-serve-static-core").Router;
export default getExpressRouter;
export declare const getMappedFilters: (filters: any | any[]) => QueryBuilderQuery[];
